[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TFPHashList.Extract

Extract a pointer from the list

## Declaration

Source position: contnrs.pp line 241

`public function TFPHashList.Extract(`
`item: Pointer`
`):Pointer;`

## Arguments

`item` |  | Pointer to be removed.

## Function result

The removed pointer or nil.

## Description

Extract removes the data item from the list, if it is in the list. It returns the pointer if it was removed from the list, Nil otherwise.

Extract does a linear search, and is not very efficient.

## See also

TFPHashList.Delete |  | Delete an item from the list.
TFPHashList.Remove |  | Remove first instance of a pointer
TFPHashList.Clear |  | Clear the list

Documentation generated on: Feb 26 2014